Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.impl
Class DefaultTagFactory

    java.lang.Object
      org.apache.commons.jelly.impl.DefaultTagFactory

All Implemented Interfaces:
  TagFactory

    public class DefaultTagFactory

extends java.lang.Object
implements TagFactory

`DefaultTagFactory` a default implementation of TagFactory which creates new instances of a given class.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Constructor Summary
`DefaultTagFactory()`
`DefaultTagFactory(java.lang.Class tagClass)`

Method Summary
`Tag` | `createTag(java.lang.String name, org.xml.sax.Attributes attributes)` Creates a Tag for the given local name and the SAX attributes
`java.lang.Class` | `getTagClass()` Returns the tagClass.
`void` | `setTagClass(java.lang.Class tagClass)` Sets the tagClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTagFactory

    public DefaultTagFactory()

### DefaultTagFactory

    public DefaultTagFactory(java.lang.Class tagClass)

Method Detail

### createTag

    public Tag createTag(java.lang.String name,
                         org.xml.sax.Attributes attributes)
                  throws JellyException

  Description copied from interface: `TagFactory`
  Creates a Tag for the given local name and the SAX attributes

  Specified by:
    `createTag` in interface `TagFactory`
  Throws:
    `JellyException`

### getTagClass

    public java.lang.Class getTagClass()

  Returns the tagClass.

  Returns:
    Class

### setTagClass

    public void setTagClass(java.lang.Class tagClass)

  Sets the tagClass.

  Parameters:
    `tagClass` - The tagClass to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.